manifestVersion: "0.0.1"
id: openhands
name: OpenHands
tagline: Локальный агент ИИ для написания и улучшения кода.
category: ai
version: "1.6.0"
port: 3993
description: >-
  👐 OpenHands — это первый локальный помощник разработки ИИ, который помогает разработчикам автоматизировать повторяющиеся задачи программирования и сконцентрироваться на более значимой работе. Он полностью работает на вашем собственном сервере DFWebOS и уважает вашу конфиденциальность, сохраняя все операции в автономном режиме и под вашим контролем. OpenHands самостоятельно понимает, редактирует и улучшает код, используя интеллектуальные программные агенты, которые анализируют ваши репозитории, выполняют команды, работают с файлами и следуют инструкциям, написанным на естественном языке.
  
  
  Имея полный доступ к вашей локальной базе кода и инструментам разработки, OpenHands становится мощным помощником в ваших программных проектах. Если вы хотите провести рефакторинг существующего кода, исправить ошибки или разработать новые функции, помощник может предложить и применить изменения, всегда держа вас в курсе. Его современный веб-интерфейс обеспечивает удобство работы со встроенным редактором кода и терминалом, которые работают непосредственно на вашем оборудовании без каких-либо внешних зависимостей.
  
  
  Внедрение OpenHands в DFWebOS дает разработчикам полностью автономного помощника ИИ, который не зависит от облачных сервисов. Это отличное решение для людей, заботящихся о конфиденциальности, разработчиков-любителей и профессионалов, которые хотят изучить будущее разработки программного обеспечения с помощью ИИ.
  
  
  ⚠️ OpenHands необходимо загрузить изображение при запуске первого сеанса, это занимает несколько минут. Пожалуйста, будьте терпеливы.
developer: All Hands AI, Inc
website: https://www.all-hands.dev/
submitter: "DFV24"
submission: "https://github.dfv24.com/fofanov.dmitry/DFWebOS-Apps/pulls"
repo: https://github.com/All-Hands-AI/OpenHands
support: https://github.com/All-Hands-AI/OpenHands/issues
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
  - 5.jpg
releaseNotes: >-
  В этом выпуске появилось несколько новых функций и улучшений:
    - Добавлена поддержка хуков
    - Добавлен каталанский язык
    - Добавлена команда /clear для создания нового разговора, который наследует текущую песочницу и конфигурацию при сбросе истории чата.
    - Добавлена кнопка копирования в блоки кода.
    - Добавлена поддержка включения/отключения глобальных навыков по умолчанию.
    - В меню команд косой черты добавлена команда /new.
    - Исправлена проблема, из-за которой разговоры иногда не сохранялись.
    - Исправлена ошибка в Экспорте беседы, из-за которой события дублировались.
    - Множество исправлений уязвимостей безопасности посредством обновлений зависимостей.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/All-Hands-ИИ/OpenHands/releases.
dependencies: []
path: ""
defaultUsername: ""
defaultPassword: ""
